# ChangeLog for media-sound/alsa-driver
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/alsa-driver/ChangeLog,v 1.263 2007/02/11 23:33:57 blubb Exp $

  11 Feb 2007; Simon Stelling <blubb@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  stable on amd64; bug 158678

  05 Feb 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  Stable on alpha wrt bug #158678.

*alsa-driver-1.0.14_rc2_p3234 (04 Feb 2007)

  04 Feb 2007; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.14_rc2_p3234.ebuild:
  Add a new snapshot required for kernel 2.6.20.

*alsa-driver-1.0.14_rc2-r1 (30 Jan 2007)

  30 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.14_rc2-r1.ebuild, alsa-driver-9999.ebuild:
  Make MIDI sequencer support optional on midi useflag, thanks to Sascha
  Geschwandtner in bug #163513 for reporting.

  27 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_rc2.ebuild, alsa-driver-9999.ebuild:
  Remove doc useflag from live version too.

  25 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-9999.ebuild:
  Replace -* keyword with empty keywords.

  19 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.14_rc2-tumbler-ppc.patch,
  alsa-driver-1.0.14_rc2.ebuild:
  Add patch that should fix tumbler.c applying (and thus alsa-driver building)
  on PowerPC, and close bug #162786. Thanks to Marcel Unbehaun for reporting.

*alsa-driver-1.0.14_rc2 (16 Jan 2007)

  16 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.14_rc2.ebuild:
  Version bump.

  14 Jan 2007; Joseph Jezak <josejx@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  Marked ppc stable for bug #158678.

  09 Jan 2007; Markus Rothe <corsair@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  Stable on ppc64; bug #158678

  08 Jan 2007; Petteri Räty <betelgeuse@gentoo.org>
  alsa-driver-9999.ebuild:
  Merged changes from 1.0.14_rc1.

  06 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-9999.ebuild:
  Add missing WANT_AUTO* variables.

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.13.ebuild, alsa-driver-9999.ebuild:
  Convert to use elog.

  04 Jan 2007; Christian Faulhammer <opfer@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  stable x86, bug #158678

  25 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  Check for CONFIG_FW_LOADER for all the drivers that requires firmware
  loading. Close bug #159063.

  21 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_rc1.ebuild:
  Cleanup 1.0.14_rc1 ebuild, remove autotools calls (this is no more a
  snapshot), add alsa-headers only as build-time depend, and remove the
  patching on 2.6.17 or newer kernels: serialmidi driver is simply broken, so
  disable it for good.

  21 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/alsa-driver-1.0.10_rc1-include.patch,
  -files/alsa-driver-mcp55.patch,
  +files/alsa-driver-1.0.11-kernel-2.6.17.patch, -alsa-driver-1.0.12.ebuild,
  alsa-driver-1.0.13.ebuild, alsa-driver-1.0.14_rc1.ebuild,
  alsa-driver-9999.ebuild:
  Remove latest old version, remove stale patches, and re-add a needed one.

  21 Dec 2006; Bryan Østergaard <kloeri@gentoo.org>
  alsa-driver-1.0.13.ebuild:
  Stable on Alpha + IA64.

  21 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/alsa-driver-1.0.10-gfp-flags.patch,
  -files/alsa-driver-1.0.10-oops.patch,
  -files/alsa-driver-1.0.11-kernel-2.6.17.patch,
  -files/alsa-driver-1.0.11-powermac.patch, -alsa-driver-1.0.10-r2.ebuild,
  -alsa-driver-1.0.11.ebuild, -alsa-driver-1.0.14_pre20061130.ebuild:
  Winter cleaning, so to let arch teams know that they need to hurry up on
  cleaning after themselves.

*alsa-driver-1.0.14_rc1 (11 Dec 2006)

  11 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.14_rc1.ebuild:
  Version bump.

  07 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_pre20061130.ebuild:
  Add asihpi to the list of packages requiring FW_LOADER.

  06 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_pre20061130.ebuild:
  Add a check for ISA drivers, improve check for PNP/FW_LOADER drivers,
  properly check for SND being disabled in kernel.

  06 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_pre20061130.ebuild:
  Double-check the ALSA_CARDS variable by checking that the requested drivers
  are supported by the ebuild and they are available on the architecture.

  06 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.14_pre20061130.ebuild:
  Important change: make ALSA_CARDS an use-expanded variable, so list all the
  available drivers during emerge -pv output; the default for all profiles now
  is to build all drivers (ALSA_CARDS unset), but in the next days proper
  default subsets will appear on the architecture profiles. Also fix bug
  #156729 (remove doc useflag as it's mostly internal drivers documentation
  that is available on the site and rarely useful to users, in case it can be
  re-added as app-doc/alsa-driver-docs), and bug #156757 (add check for
  CONFIG_FW_LOADER when using emu10k1 driver as it's now needed, thanks to
  Stefan Wimmer for reporting). Fix quoting, cleanup decisions for kernel
  checks, remove very ancient einfo message, use elog instead of einfo.

  03 Dec 2006; Markus Rothe <corsair@gentoo.org> alsa-driver-1.0.13.ebuild:
  Stable on ppc64

*alsa-driver-1.0.14_pre20061130 (30 Nov 2006)

  30 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.14_pre20061130.ebuild:
  Add snapshot of alsa-driver building on 2.6.19 kernel.

  28 Oct 2006; Ryan Hill <dirtyepic@gentoo.org> alsa-driver-1.0.13.ebuild:
  Forgot to stablize alsa-driver-1.0.13 w/ alsa-headers-1.0.13 on x86.

  24 Oct 2006; Simon Stelling <blubb@gentoo.org> alsa-driver-1.0.13.ebuild:
  stable on amd64

  20 Oct 2006; <nixnut@gentoo.org> alsa-driver-1.0.13.ebuild:
  Stable on ppc wrt bug 150540

  18 Oct 2006; Joshua Jackson <tsunam@gentoo.org> alsa-driver-1.0.12.ebuild:
  Stable x86;bug #150540

  14 Oct 2006; Bryan Østergaard <kloeri@gentoo.org>
  alsa-driver-1.0.12.ebuild:
  Stable on Alpha.

  14 Oct 2006; Aron Griffis <agriffis@gentoo.org> alsa-driver-1.0.12.ebuild:
  Mark 1.0.12 stable on ia64. #150540

*alsa-driver-9999 (11 Oct 2006)

  11 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-9999.ebuild:
  Add 9999 version that pulls off the Mercurial repository, for when the
  release versions aren't working with the current kernel.

  11 Oct 2006; Markus Rothe <corsair@gentoo.org> alsa-driver-1.0.12.ebuild:
  Stable on ppc64; bug #150540

  09 Oct 2006; Luca Barbato <lu_zero@gentoo.org> alsa-driver-1.0.12.ebuild:
  Marked ppc

  02 Oct 2006; Diego Pettenò <flameeyes@gentoo.org> metadata.xml:
  Move maintainership over to new alsa herd.

  01 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  -alsa-driver-1.0.13_rc1.ebuild, -alsa-driver-1.0.13_rc2.ebuild,
  -alsa-driver-1.0.13_rc3.ebuild:
  Remove 1.0.13 release candidates.

*alsa-driver-1.0.13 (30 Sep 2006)

  30 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.13.ebuild:
  Version bump.

*alsa-driver-1.0.13_rc3 (28 Sep 2006)

  28 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.13_rc3.ebuild:
  Version bump.

*alsa-driver-1.0.13_rc2 (16 Sep 2006)

  16 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.13_rc2.ebuild:
  Version bump to latest rc.

*alsa-driver-1.0.13_rc1 (03 Sep 2006)

  03 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.13_rc1.ebuild:
  Version bump.

*alsa-driver-1.0.12 (31 Aug 2006)

  31 Aug 2006; Diego Pettenò <flameeyes@gentoo.org>
  -alsa-driver-1.0.12_rc1-r1.ebuild, +alsa-driver-1.0.12.ebuild:
  Version bump to latest version, and remove release candidate.

  03 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  -alsa-driver-1.0.12_rc1.ebuild, alsa-driver-1.0.12_rc1-r1.ebuild:
  Remove once again the broken driver, upstream didn't fix it yet. Closes bug
  #139034.

*alsa-driver-1.0.12_rc1-r1 (01 Jul 2006)

  01 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-mcp55.patch, +alsa-driver-1.0.12_rc1-r1.ebuild:
  Add patch to support MCP55 sound boards, thanks to Doug Goldstein (cardoe)
  in bug #138780.

*alsa-driver-1.0.12_rc1 (23 Jun 2006)

  23 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.12_rc1.ebuild:
  Version bump to 1.0.12_rc1 version.

  21 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11.ebuild:
  Remove asihpi driver when building for 2.6.17 as it's not fixed to work on
  that and upstream hasn't released a new version yet.

  19 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.11-kernel-2.6.17.patch, alsa-driver-1.0.11.ebuild:
  Add patch to build serialmidi driver with kernel 2.6.17. See bug #137147.

  09 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11.ebuild:
  Make sure to pass raw ldflags to the makefile.

  26 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11.ebuild:
  Don't force -j1, the old bug seems fixed.

  24 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  files/alsa-driver-1.0.11-powermac.patch, alsa-driver-1.0.11.ebuild:
  Change patch for compiling with newer PowerPC kernels, allow building on
  2.6.17 as well as 2.6.16. Fix quoting.

  14 May 2006; Luis Medinas <metalgod@gentoo.org> alsa-driver-1.0.11.ebuild:
  Stable on amd64. Bug #130535.

  01 May 2006; Joseph Jezak <josejx@gentoo.org> alsa-driver-1.0.11.ebuild:
  Marked ppc stable for bug #130535.

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-alsa-driver-1.0.10-r2, Manifest:
  Fixing SHA256 digest, pass four

  22 Apr 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  alsa-driver-1.0.11.ebuild:
  Stable on x86 wrt bug #130535.

  22 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11.ebuild:
  Don't let me commit before the cola. Patch in the right place, thanks to
  Igor Rafienko for noticing this.

  22 Apr 2006; Markus Rothe <corsair@gentoo.org> alsa-driver-1.0.11.ebuild:
  Stable on ppc64; bug #130535

  22 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.11-powermac.patch, alsa-driver-1.0.11.ebuild:
  Never trust upstream, readd patch for bug #130402.

  19 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/alsa-driver-1.0.11_rc5-powermac.patch,
  -alsa-driver-1.0.11_rc3.ebuild, -alsa-driver-1.0.11_rc4.ebuild,
  -alsa-driver-1.0.11_rc5.ebuild:
  Drop release candidate versions.

*alsa-driver-1.0.11 (19 Apr 2006)

  19 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.11.ebuild:
  Version bump. This version will replace all the old release candidates.

  18 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.11_rc5-powermac.patch,
  alsa-driver-1.0.11_rc5.ebuild:
  Add patch to fix powermac driver on ppc. Thanks to Alberto Zennaro in bug
  #130402.

*alsa-driver-1.0.11_rc5 (11 Apr 2006)

  11 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.11_rc5.ebuild:
  Version bump.

  25 Mar 2006; Simon Stelling <blubb@gentoo.org>
  alsa-driver-1.0.11_rc4.ebuild:
  improve KERNEL_ABI patch

  25 Mar 2006; Simon Stelling <blubb@gentoo.org>
  alsa-driver-1.0.11_rc4.ebuild:
  use KERNEL_ABI on multilib arches

*alsa-driver-1.0.11_rc4 (24 Mar 2006)

  24 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.11_rc4.ebuild:
  Version bump, thanks to David Watzke in bug #127412.

  02 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11_rc3.ebuild:
  Drop CONFIG_PM_LEGACY check (bug #121329).

*alsa-driver-1.0.11_rc3 (02 Feb 2006)

  02 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -alsa-driver-1.0.11_rc2.ebuild, +alsa-driver-1.0.11_rc3.ebuild:
  Bump to new release candidate.

  02 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/alsa-driver-0.9.8-au-fix.patch,
  -files/alsa-driver-1.0.10_rc3-ppc-unbreakage.patch, -files/makefile.patch,
  -alsa-driver-1.0.10_rc3.ebuild, -alsa-driver-1.0.10.ebuild,
  -alsa-driver-1.0.10-r1.ebuild:
  Cleanup old verisons.

  22 Jan 2006; Joseph Jezak <josejx@gentoo.org>
  alsa-driver-1.0.10-r2.ebuild:
  Marked ppc stable for bug #111968.

  21 Jan 2006; Aron Griffis <agriffis@gentoo.org>
  alsa-driver-1.0.10-r2.ebuild:
  Mark 1.0.10-r2 stable on ia64 #111968

  21 Jan 2006; Bryan Østergaard <kloeri@gentoo.org
  alsa-driver-1.0.10-r2.ebuild:
  Stable on alpha, bug 111968.

  21 Jan 2006; Simon Stelling <blubb@gentoo.org>
  alsa-driver-1.0.10-r2.ebuild:
  stable on amd64 wrt bug 111968

  21 Jan 2006; Markus Rothe <corsair@gentoo.org>
  alsa-driver-1.0.10-r2.ebuild:
  Stable on ppc64; bug #111968

  21 Jan 2006; Mark Loeser <halcy0n@gentoo.org>
  alsa-driver-1.0.10-r2.ebuild:
  Stable on x86; bug #111968

*alsa-driver-1.0.10-r2 (20 Jan 2006)

  20 Jan 2006; Daniel Drake <dsd@gentoo.org>
  +files/alsa-driver-1.0.10-gfp-flags.patch, +alsa-driver-1.0.10-r2.ebuild:
  Adjust GFP allocation flags for kernel 2.6.15 and onwards, to fix page state
  crashes. Patch from Hugh Dickens. Fixes bug #111968.

  15 Jan 2006; Aron Griffis <agriffis@gentoo.org> -alsa-driver-1.0.3.ebuild,
  alsa-driver-1.0.10.ebuild:
  Mark 1.0.10 stable on ia64.  Remove 1.0.3

  15 Jan 2006; Michael Hanselmann <hansmi@gentoo.org>
  alsa-driver-1.0.10.ebuild:
  Stable on ppc.

  11 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/xbox-1.0.8.patch,
  -files/alsa-driver-1.0.9b-sparc64-ioctl-detect.patch,
  -files/1.0.8-msi_audigyls.patch,
  -files/alsa-driver-1.0.10_rc2-audigy2zs.patch, -alsa-driver-1.0.9b.ebuild:
  Drop old version, FILESDIR cleanup.

  10 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11_rc2.ebuild:
  Fix config checks, thanks to Anthony Barclay.

  10 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  alsa-driver-1.0.9b.ebuild:
  Moving back to ~sparc to avoid issues, we prefer kernel-drivers since they
  work better and are more up to date

  10 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/alsa-driver-1.0.11_rc1-ppc.patch, -alsa-driver-1.0.11_rc1.ebuild:
  Drop ALSA 1.0.11_rc1 packages.

  10 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11_rc2.ebuild:
  Apply last changes from 1.0.10 to 1.0.11_rc2.

  10 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.11_rc2.ebuild:
  Add check for CONFIG_PM_LEGACY for kernel 2.6.15. Thanks to Jakub for the
  suggestion. Closes bug #118490.

  02 Jan 2006; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.3.ebuild, -alsa-driver-1.0.8.ebuild,
  alsa-driver-1.0.9b.ebuild, -alsa-driver-1.0.10_rc2.ebuild:
  1.0.9b stable sparc.  Removing old versions.

  03 Jan 2006; Mark Loeser <halcy0n@gentoo.org> alsa-driver-1.0.10.ebuild:
  Stable on x86; bug #117518

*alsa-driver-1.0.11_rc2 (02 Jan 2006)

  02 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.11_rc2.ebuild:
  Bump to latest version.

  27 Dec 2005; Bryan Østergaard <kloeri@gentoo.org
  alsa-driver-1.0.10.ebuild:
  Stable on alpha.

  22 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.11_rc1-ppc.patch, alsa-driver-1.0.11_rc1.ebuild:
  Add patch to fix build on PPC systems.

*alsa-driver-1.0.11_rc1 (21 Dec 2005)

  21 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.11_rc1.ebuild:
  Bump to latest upstream version (masked).

  19 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.10-r1.ebuild:
  Add debug useflag as per bug #115993.

*alsa-driver-1.0.10-r1 (15 Dec 2005)

  15 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.10-oops.patch, +alsa-driver-1.0.10-r1.ebuild:
  Fix Ooops with older (and not only) kernels. Bug #115336.

  23 Nov 2005; Luis Medinas <metalgod@gentoo.org> alsa-driver-1.0.10.ebuild:
  Stable on amd64. See bug #111968.

  19 Nov 2005; Markus Rothe <corsair@gentoo.org> alsa-driver-1.0.10.ebuild:
  Stable on ppc64; bug #111968

  18 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.10.ebuild:
  Remove the ppcunbreak patch, it gets patched by the buildsystem by itself.

*alsa-driver-1.0.10 (16 Nov 2005)

  16 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.10.ebuild:
  Bump to latest upstream version.

  15 Nov 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  alsa-driver-1.0.10_rc3.ebuild:
  Stable on x86 wrt bug #112442.

  15 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.10_rc3.ebuild:
  Don't try to check for PNP support on PowerPC systems.

  15 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.10_rc3-ppc-unbreakage.patch,
  alsa-driver-1.0.10_rc2.ebuild, alsa-driver-1.0.10_rc3.ebuild:
  Workaround the moved headers in PPC's 2.6.14 kernel. Apply patch to rc3 to
  reverse a change that's in no official kernel yet and was breaking PPC.

  14 Nov 2005; Luca Barbato <lu_zero@gentoo.org>
  alsa-driver-1.0.10_rc3.ebuild:
  Marked ppc to match linux 2.6.14

  12 Nov 2005; <soulse@gentoo.org> alsa-driver-1.0.10_rc2.ebuild:
  Stable on x86 wrt bug #111968.

*alsa-driver-1.0.10_rc3 (08 Nov 2005)

  08 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.10_rc3.ebuild:
  Bump to latest version.

  07 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.3.ebuild, alsa-driver-1.0.8.ebuild,
  alsa-driver-1.0.9b.ebuild:
  Don't install INSTALL and COPYING files.

  02 Nov 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.10_rc2.ebuild:
  Removing from ~sparc until I get a chance to fix the build system to be more
  sane.

  31 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.10_rc2.ebuild:
  Resolve collision-protect errors as per bug #93286.

  30 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/alsa-driver-1.0.10_rc2-audigy2zs.patch,
  alsa-driver-1.0.10_rc2.ebuild:
  Added patch for Audigy 2 ZS soundcards as per bug #110699.

  11 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  alsa-driver-1.0.10_rc2.ebuild:
  Correctly renamed include patch. Also make sure that the HOSTCC/CC are
  crosscompile safe.

*alsa-driver-1.0.10_rc2 (11 Oct 2005)

  11 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  -alsa-driver-1.0.10_rc1.ebuild, +alsa-driver-1.0.10_rc2.ebuild:
  Bumped to newer rc.

  25 Aug 2005; Chris White <chriswhite@gentoo.org> alsa-driver-1.0.8.ebuild,
  alsa-driver-1.0.9b.ebuild, alsa-driver-1.0.10_rc1.ebuild:
  Converted to linux-info.eclass methods so as to stop warning message spam.
  Only remove old kernel sound modules if they actually exist (prevents silly
  directory not found warnings with find).

  24 Aug 2005; Chris White <chriswhite@gentoo.org>
  +files/alsa-driver-1.0.10_rc1-include.patch,
  alsa-driver-1.0.10_rc1.ebuild:
  Make this actually compile.  Added upstream patch from alsa bug 0001356.

*alsa-driver-1.0.10_rc1 (25 Aug 2005)

  25 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  +alsa-driver-1.0.10_rc1.ebuild:
  Added ebuild for alsa 1.0.10_rc1.

  21 Jul 2005; Joseph Jezak <josejx@gentoo.org> alsa-driver-1.0.9b.ebuild:
  Marked ppc stable.

  20 Jul 2005; Markus Rothe <corsair@gentoo.org> alsa-driver-1.0.9b.ebuild:
  Stable on ppc64

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org>
  alsa-driver-1.0.9b.ebuild:
  Stable on alpha.

  19 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.9b-sparc64-ioctl-detect.patch,
  alsa-driver-1.0.9b.ebuild:
  Back into ~sparc with the patch that I made for upstream bug #1267.

  17 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.9b.ebuild:
  Stable amd64, x86.

  07 Jul 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -alsa-driver-1.0.9_rc3.ebuild, -alsa-driver-1.0.9a.ebuild,
  alsa-driver-1.0.9b.ebuild:
  1.0.9b -sparc.  Removing 1.0.9a.

*alsa-driver-1.0.9b (13 Jun 2005)

  13 Jun 2005; Jan Brinkmann <luckyduck@gentoo.org>
  -alsa-driver-1.0.9.ebuild, +alsa-driver-1.0.9b.ebuild:
  New upstream version, fixes #95976.

  12 Jun 2005; Bryan Østergaard <kloeri@gentoo.org>
  alsa-driver-1.0.8.ebuild:
  Stable on alpha.

*alsa-driver-1.0.9a (03 Jun 2005)

  03 Jun 2005; Jan Brinkmann <luckyduck@gentoo.org>
  +alsa-driver-1.0.9a.ebuild:
  new upstream release, see #94831

*alsa-driver-1.0.9 (27 May 2005)

  27 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  +alsa-driver-1.0.9.ebuild:
  New upstream version released, see #94196.

  05 May 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -files/alsa-driver-1.0.4-devfix.patch,
  -files/alsa-driver-1.0.5-devfix.patch,
  -files/alsa-driver-1.0.5a-cs46xx-passthrough.patch,
  -files/alsa-driver-1.0.5a-xbox-ac97.patch,
  -files/alsa-driver-1.0.6a-emu10k1-passthrough.patch,
  -files/alsa-driver-1.0.6a-kbuild.patch,
  -files/alsa-driver-1.0.7-audigy71.patch,
  -files/alsa-driver-1.0.7-configure.patch,
  -files/alsa-driver-1.0.7-ioctl32.patch-r2,
  -files/alsa-driver-1.0.7-xbox.patch, -alsa-driver-1.0.7-r4.ebuild:
  Removing old version and cleaning out unused patches.

*alsa-driver-1.0.9_rc3 (05 May 2005)

  05 May 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -alsa-driver-1.0.9_rc2.ebuild, +alsa-driver-1.0.9_rc3.ebuild:
  Version bump.

  12 Apr 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -alsa-driver-0.9.8.ebuild, alsa-driver-1.0.9_rc2.ebuild:
  Killing off 0.9 alsa.

  04 Apr 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -alsa-driver-1.0.5a.ebuild, -alsa-driver-1.0.6a.ebuild,
  -alsa-driver-1.0.7-r3.ebuild, alsa-driver-1.0.7-r4.ebuild,
  -alsa-driver-1.0.8_rc1.ebuild, alsa-driver-1.0.8.ebuild,
  alsa-driver-1.0.9_rc2.ebuild:
  Removing old versions and adding /dev/null redirect for rmdir messages.

  03 Apr 2005; Chris Bainbridge <chrb@gentoo.org> +files/xbox-1.0.8.patch,
  alsa-driver-1.0.8.ebuild:
  Re-added xbox support (bug #80989)

*alsa-driver-1.0.9_rc2 (31 Mar 2005)

  31 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +alsa-driver-1.0.9_rc2.ebuild:
  Version bump.

  30 Mar 2005; Daniel Ostrow <dostrow@gentoo.org> alsa-driver-1.0.8.ebuild:
  Stable on ppc64

  20 Mar 2005; Lars Weiler <pylon@gentoo.org> alsa-driver-1.0.8.ebuild:
  Readded ppc to a 1.x version.

  08 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.8.ebuild:
  Stable amd64, sparc, x86.

  01 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.8.ebuild:
  Don't install modules into the kernel subdir. This way, youu don't need to
  re-emerge alsa-driver every time you do a make modules_install in your
  kernel.

  19 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
  +files/1.0.8-msi_audigyls.patch, alsa-driver-1.0.8.ebuild:
  added patch which were contribution by Søren Dalby Larsen <sdl@larsen.dk>.
  fixes #81666

  28 Jan 2005; Jan Brinkmann <luckyduck@gentoo.org> alsa-driver-1.0.8.ebuild:
  applied patch which Daniel Black <dragonheart@gentoo.org> provided, also see
  bug #79812

  24 Jan 2005; Chris Bainbridge <chrb@gentoo.org> alsa-driver-1.0.8.ebuild:
  Removed xbox patch for 1.0.8 since its now in upstream sources.

  23 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.8.ebuild:
  Cleanup PNP logic.

  23 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.8.ebuild:
  Cleanup PNP logic.

  18 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  alsa-driver-1.0.6a.ebuild, alsa-driver-1.0.7-r3.ebuild,
  alsa-driver-1.0.7-r4.ebuild, alsa-driver-1.0.8.ebuild,
  alsa-driver-1.0.8_rc1.ebuild:
  Changed unset ARCH to set_arch_to_kernel/set_arch_to_portage pair as per brix

  18 Jan 2005; Daniel Black <dragonheart@gentoo.org> alsa-driver-0.9.8.ebuild,
  alsa-driver-1.0.7-r4.ebuild, alsa-driver-1.0.8.ebuild:
  QA - 0.9.8 - fixed bad depend on portage. 1.0.7-r4 and 1.0.8 - added check in
  for CONFIG_PNP that 2 drivers depend on. Bug #53529 refers

  17 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  alsa-driver-1.0.7-r4.ebuild:
  Disabled some ppc drivers due to compile problems as per bug #53529. Added
  ~ppc keyword

*alsa-driver-1.0.8 (14 Jan 2005)

  14 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +alsa-driver-1.0.8.ebuild, -alsa-driver-1.0.8_rc2.ebuild:
  Version bump.

  11 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.8_rc1.ebuild:
  Stable x86 as it's needed for 2.6.10 kernels (which is in stable x86).

*alsa-driver-1.0.8_rc2 (11 Jan 2005)

  11 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r3.ebuild, alsa-driver-1.0.7-r4.ebuild,
  alsa-driver-1.0.8_rc1.ebuild, +alsa-driver-1.0.8_rc2.ebuild:
  Version bump and mention the doc in postinst to close bug #77339.

*alsa-driver-1.0.8_rc1 (01 Jan 2005)

  01 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +alsa-driver-1.0.8_rc1.ebuild:
  Version bump.

  19 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r4.ebuild:
  Fixing for people who use KERNEL_OUTPUT.  Bug #74914.

  18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r3.ebuild, alsa-driver-1.0.7-r4.ebuild:
  Stable amd64, sparc, x86.

  09 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r4.ebuild:
  Setting keywords ~x86 as only xbox benefits from this update.

*alsa-driver-1.0.7-r4 (08 Dec 2004)

  08 Dec 2004; Chris Bainbridge <chrb@gentoo.org>
  +files/alsa-driver-1.0.7-xbox-hw1.6fix.patch,
  +alsa-driver-1.0.7-r4.ebuild:
  New patch for hw version 1.6 xbox.

  08 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r3.ebuild:
  Make sure the user isn't using OSS Drivers in the kernel.

  04 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/alsa-driver-1.0.7-configure.patch:
  Updated configure patch to update Makefile.conf.in as well to fix
  compilation with 2.4 kernels. Closes bug #73290.

*alsa-driver-1.0.7-r3 (02 Dec 2004)

  02 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/alsa-driver-1.0.7-configure.patch,
  -files/alsa-driver-1.0.7-ioctl32.patch,
  -files/alsa-driver-1.0.7-ioctl32.patch-r1, -alsa-driver-1.0.7-r1.ebuild,
  -alsa-driver-1.0.7-r2.ebuild, +alsa-driver-1.0.7-r3.ebuild,
  -alsa-driver-1.0.7.ebuild:
  Fixing the configure patch to match what was committed upstream as the patch
  we originally used had some problems.

  30 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r2.ebuild:
  Stable sparc.

*alsa-driver-1.0.7-r2 (29 Nov 2004)

  29 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.7-ioctl32.patch-r2, alsa-driver-1.0.7-r1.ebuild,
  +alsa-driver-1.0.7-r2.ebuild:
  Updated the ioctl32 patch to match what has gone into cvs ustream.  We also
  no longer default to the new dsp for cs46xx.  To use it, set
  ALSA_CARDS="cs46xx,cs46xx-new-dsp"

  27 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r1.ebuild:
  CONFIG_CHECK love.

  27 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r1.ebuild:
  Fixing kernel configuration check.

  26 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7-r1.ebuild:
  Adding to ~arch.

  26 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/alsa-driver-1.0.7-ioctl32.patch-r1:
  Updating upstream ioctl32 patch.

  25 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.7-audigy71.patch,
  files/alsa-driver-1.0.7-ioctl32.patch-r1, alsa-driver-1.0.7-r1.ebuild:
  Adding patch from recent alsa cvs to fix 7.1 detection on some audigy2
  cards. Closes bug #72433. Also incorporate some kernel-mod fixes thanks to
  johnm.

  24 Nov 2004; Daniel Drake <dsd@gentoo.org> alsa-driver-1.0.7-r1.ebuild,
  alsa-driver-1.0.7.ebuild:
  Fix building against /usr/src/linux rather than running kernel

*alsa-driver-1.0.7-r1 (24 Nov 2004)

  24 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.7-ioctl32.patch-r1, +alsa-driver-1.0.7-r1.ebuild:
  Updated ioctl32 patch to one provided by upstream.

  22 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7.ebuild:
  Don't install Makefiles from the docs.

  21 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.7-ioctl32.patch, alsa-driver-1.0.7.ebuild:
  Added patch to ioctl32 support to get it to work on sparc... still needs
  testing... See bug #55465.

  19 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7.ebuild:
  Added IUSE=doc to control installation of documentation.  Closes bug #71730.

  19 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.7-configure.patch, alsa-driver-1.0.7.ebuild:
  Added patch for compilation on sparc64.

  18 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.7.ebuild:
  Forcing -j1 for bug #71028.

*alsa-driver-1.0.7 (12 Nov 2004)

  12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.6a.ebuild, +alsa-driver-1.0.7.ebuild:
  Version bump.

  03 Nov 2004; Stephen P. Becker <geoman@gentoo.org>
  alsa-driver-1.0.6a.ebuild:
  added ~mips keyword

  07 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org> -files/alsa,
  -files/alsa-driver-0.9.0rc1-ppc.patch, -files/alsa-modules.conf,
  -files/alsa-modules.conf-rc -files/alsasound, -alsa-driver-0.5.12a.ebuild,
  -alsa-driver-0.9.0_rc2.ebuild, -alsa-driver-0.9.2.ebuild:
  Version cleanup.

  07 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/alsa-driver-1.0.6a-emu10k1-passthrough.patch:
  Added patch to make emu10k1 passthrough work.  Closes bug #66635.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org> :
  Stable amd64, x86. Fixed build process to work on newer 2.6 kernels without
  needing to copy over the kernel source tree.

*alsa-driver-1.0.6a (23 Aug 2004)

  23 Aug 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +alsa-driver-1.0.6a.ebuild:
  Version bump.

  23 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -alsa-driver-1.0.2c.ebuild, -alsa-driver-1.0.4-r1.ebuild,
  -alsa-driver-1.0.4.ebuild, -alsa-driver-1.0.5.ebuild:
  Removing old versions.  Fixing DEPEND.

  23 Jul 2004; Chris Bainbridge <chrb@gentoo.org> alsa-driver-1.0.5a.ebuild:
  Added xbox patch, bug #47166

  19 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.5a.ebuild:
  Added alsa-headers to RDEPEND.  Added in cs46xx patch to close bug #56056.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.5.12a.ebuild, alsa-driver-0.9.0_rc2.ebuild,
  alsa-driver-0.9.2.ebuild, alsa-driver-0.9.8.ebuild,
  alsa-driver-1.0.2c.ebuild:
  virtual/glibc -> virtual/libc

*alsa-driver-1.0.5a (25 Jun 2004)

  25 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +alsa-driver-1.0.5a.ebuild:
  Adding 1.0.5a which is a small bugfix release from upstream. This fixes a
  crucial bug and is thus going straight into stable.

  24 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.5.ebuild:
  Stable x86 amd64.

*alsa-driver-1.0.5 (30 May 2004)

  30 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.5.ebuild, files/alsa-driver-1.0.5-devfix.patch:
  Version Bump.

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> alsa-driver-1.0.3.ebuild,
  alsa-driver-1.0.4-r1.ebuild, alsa-driver-1.0.4.ebuild:
  Add die following econf for bug 48950

  24 Apr 2004; Bret Curtis <psi29a@gentoo.org> alsa-driver-1.0.3.ebuild:
  Added to ~mips

  17 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.5.12a.ebuild, alsa-driver-0.9.0_rc2.ebuild,
  alsa-driver-0.9.2.ebuild:
  IUSE.  eutils.

*alsa-driver-1.0.4-r1 (08 Apr 2004)

  08 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.4-r1.ebuild, files/alsa-driver-1.0.4-devfix.patch:
  Added SNDRV_DMA_TYPE_PCI to SNDRV_DMA_TYPE_DEV fixes.

  08 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.5.12a.ebuild, alsa-driver-0.9.0_rc2.ebuild,
  alsa-driver-0.9.2.ebuild:
  Ebuild cleanups.

  06 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.3.ebuild, alsa-driver-1.0.4.ebuild:
  Filtering -fomit-frame-pointer to fix bug #46901.

*alsa-driver-1.0.4 (04 Apr 2004)

  04 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.3.ebuild, alsa-driver-1.0.4.ebuild:
  1.0.3 stable on x86.  version bump.

  28 Mar 2004; Aron Griffis <agriffis@gentoo.org> alsa-driver-1.0.3.ebuild:
  Mark stable on alpha and ia64 since eradicator eradicated the versions that
  were previously marked stable for these architectures.

  27 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.9.8.ebuild, alsa-driver-1.0.0_rc2.ebuild,
  alsa-driver-1.0.1.ebuild, alsa-driver-1.0.2c.ebuild, files/alsa-compile-fix,
  files/alsa-driver-0.9.5-spinlock_t.patch, files/alsa-driver-0.9.7-pde.patch,
  files/wolk.patch:
  Removed old ebuilds.  Cleaned up remaining ones.

  23 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.3.ebuild:
  Adding ebuild kludgery to get alsa-driver to work with 2.6 kernels. Closes bug
  #42062.

  04 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.9.8.ebuild:
  SBLive Value note

*alsa-driver-1.0.3 (01 Mar 2004)

  01 Mar 2004; Martin Holzer <mholzer@gentoo.org> alsa-driver-1.0.3.ebuild:
  Version bumped.

  15 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.0_rc2.ebuild, alsa-driver-1.0.1.ebuild,
  alsa-driver-1.0.2.ebuild, alsa-driver-1.0.2c.ebuild:
  Updated einfo's to reflect that 1.0.2c should work with 2.6 kernels and
  removing 1.0.2 since it is identical to 1.0.2c except for 2.6 kernel related
  bugfixes.

*alsa-driver-1.0.2c (08 Feb 2004)

  08 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-1.0.2c.ebuild:
  Version bump.

  08 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  alsa-driver-0.9.8.ebuild, alsa-driver-1.0.0_rc2.ebuild,
  alsa-driver-1.0.1.ebuild, alsa-driver-1.0.2.ebuild,
  files/alsa-driver-0.9.8-au-fix.patch:
  Added patch to include ac97 and mpu401 with ALSA_CARDS=au88[123]0.
  Closes bug #38284.

  28 Jan 2004; Aron Griffis <agriffis@gentoo.org> alsa-driver-1.0.1.ebuild:
  stable on alpha and ia64

*alsa-driver-1.0.2 (27 Jan 2004)

  27 Jan 2004; Martin Holzer <mholzer@gentoo.org> alsa-driver-1.0.2.ebuild:
  Version bumped.

  17 Jan 2004; Bartosch Pixa <darkspecter@gentoo.org>
  alsa-driver-0.9.8.ebuild:
  manifest fix

  16 Jan 2004; Bartosch Pixa <darkspecter@gentoo.org>
  alsa-driver-0.9.8.ebuild:
  set ppc in keywords

  13 Jan 2004; Jon Portnoy <avenj@gentoo.org> alsa-driver-1.0.1.ebuild,
  alsa-driver-0.9.8.ebuild :
  AMD64 keywords.

*alsa-driver-1.0.1 (10 Jan 2004)

  10 Jan 2004; Martin Holzer <mholzer@gentoo.org> alsa-driver-1.0.1.ebuild:
  Version bumped.

  26 Dec 2003; Jason Wever <weeve@gentoo.org> alsa-driver-0.5.12a.ebuild,
  alsa-driver-0.9.0_rc2.ebuild, alsa-driver-0.9.2.ebuild,
  alsa-driver-0.9.8.ebuild, alsa-driver-1.0.0_rc1.ebuild,
  alsa-driver-1.0.0_rc2.ebuild:
  Masked on sparc as alsa doesn't build correctly.

  18 Dec 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.8.ebuild,
  alsa-driver-1.0.0_rc1.ebuild, alsa-driver-1.0.0_rc2.ebuild:
  removing makefile from docs.

*alsa-driver-1.0.0_rc2 (07 Dec 2003)

  07 Dec 2003; Martin Holzer <mholzer@gentoo.org>
  alsa-driver-1.0.0_rc2.ebuild:
  Version bumped.

*alsa-driver-1.0.0_rc1 (02 Dec 2003)

  02 Dec 2003; Martin Holzer <mholzer@gentoo.org>
  alsa-driver-1.0.0_rc1.ebuild:
  Version bumped.

  26 Nov 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.8.ebuild:
  marked x86 stable.

  27 Oct 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.8.ebuild:
  Changing SLOT to KV.

  25 Oct 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.7-r4.ebuild:
  adding forgotten autoconf. Closes #29965.

*alsa-driver-0.9.8 (25 Oct 2003)

  25 Oct 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.8.ebuild:
  Version bumped.

*alsa-driver-0.9.7-r4 (24 Oct 2003)

  24 Oct 2003; Martin Holzer <mholzer@gentoo.org> alsa-driver-0.9.7-r4.ebuild,
  files/alsa-driver-0.9.7-pde.patch:
  0Adding PDE fix. Closes #29965 & dupex.

  24 Sep 2003; Hanno Boeck <hanno@gentoo.org> alsa-driver-0.9.6.ebuild,
  files/alsa-compile-fix:
  Add compile-fix for 2.4.23-pre-kernels.

  07 Sep 2003; Arcady Genkin <agenkin@gentoo.org> files/wolk.patch:
  An updated version from Sebastian Held <sebastian.held@gmx.de>.
  Closees #27870.

  16 Aug 2003; rob holland <tigger@gentoo.org> alsa-driver-0.9.6.ebuild,
  files/wolk.patch:
  Added wolk patch to let alsa compile against a wolk kernel.
  Not bumping the revision as it was only broken for wolk peeps.
  Thanks to Sebastian Held and Kerin for the patch/bringing it to our
  attention. Closes #25731

  05 Aug 2003; John Mylchreest <johnm@gentoo.org>; alsa-driver-0.9.6.ebuild,
  files/makefile.patch:
  Updating for 2.6 compliance

  05 Aug 2003; John Mylchreest <johnm@gentoo.org>; alsa-driver-0.9.6.ebuild:
  Updating for 2.6 compliance

  05 Jun 2003; Brandon Low <lostlogic@gentoo.org> alsa-driver-0.9.4-r1.ebuild:
  Make the USE=oss actually do something

  05 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> alsa-driver-0.9.4.ebuild :
  Switched to mirror://alsaproject in SRC_URI.

*alsa-driver-0.9.7-r3 (14 Oct 2003)

  14 Oct 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump to 0.9.7c.

*alsa-driver-0.9.7-r2 (11 Oct 2003)

  11 Oct 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump to 0.9.7b.

*alsa-driver-0.9.7-r1 (01 Oct 2003)

  01 Oct 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump to 0.9.7a.

*alsa-driver-0.9.7 (27 Sep 2003)

  27 Sep 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump.
  Removed wolk.patch and alsa-compile-fix patches since it looks like they
  are included in this release.

*alsa-driver-0.9.6 (29 Jul 2003)

  29 Jul 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version bump.

*alsa-driver-0.9.5-r2 (15 Jul 2003)

  15 Jul 2003; Arcady Genkin <agenkin@gentoo.org> :
  Added another trivial patch by Takashi Iwai, found in alsa-user 
  mailing list.

  15 Jul 2003; Arcady Genkin <agenkin@gentoo.org> :
  Picked up another patch regarding the same issue from alsa-devel
  by Klaus Steinberger.  Replaced the previous patch by one comprehensive
  that fixes all three bugs.
  Added dependency on virtual/linux-sources.

*alsa-driver-0.9.5-r1 (14 Jul 2003)

  14 Jul 2003; Arcady Genkin <agenkin@gentoo.org> :
  Added a fix for compilation failures on SMP-enabled kernels.
  Closes bug #24323.

*alsa-driver-0.9.5 (11 Jul 2003)

  11 Jul 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version update.

*alsa-driver-0.9.4-r1 (05 Jun 2003)

  05 Jun 2003; Arcady Genkin <agenkin@gentoo.org> :
  Obey the 'oss' USE flag when building.  Patch by Georgi Georgiev 
  <chutz@chubaka.net> (bug #14708).

*alsa-driver-0.9.4 (03 Jun 2003)

  03 Jun 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version update.

*alsa-driver-0.9.3c-r1 (24 May 2003)

  24 May 2003; Arcady Genkin <agenkin@gentoo.org> :
  0.9.3c removes /proc/asound/dev directory, to which /dev/snd used to be
  a symlink.  This doesn't mean much to us, since we use devfs, but
  the "make install" now may attempt to create real /dev/snd directory,
  causing a Portage sandbox violation error.  This revision fixes this
  problem (Gentoo bug #21410).
  Installing a new file: /usr/sbin/snddevices for people who are not using
  devfs.

*alsa-driver-0.9.3c (05 May 2003)

  05 May 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version update.

*alsa-driver-0.9.3b (19 May 2003)

  19 May 2003; Daniel Ahlberg <aliz@gentoo.org> alsa-driver-0.9.3b.ebuild :
  Version bump.

*alsa-driver-0.9.3 (05 May 2003)

  05 May 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version update.

*alsa-driver-0.9.3a (04 May 2003)

  04 May 2003; Daniel Ahlberg <aliz@gentoo.org> alsa-driver-0.9.3a.ebuild :
  Version bump.

*alsa-driver-0.9.2 (27 Mar 2003)

  15 Apr 2003; Arcady Genkin <agenkin@gentoo.org> :
  Marking stable on x86.

  27 Mar 2003; Arcady Genkin <agenkin@gentoo.org> :
  Version update.

*alsa-driver-0.9.1 (12 Mar 2003)

  12 Mar 2003; Arcady Genkin <agenkin@gentoo.org> :
  Update to version 0.9.1.

*alsa-driver-0.9.0_rc8-r1 (03 Mar 2003)

  09 Mar 2003; Mark Guertin <gerk@gentoo.org> alsa-driver-0.9.0_rc8-r1.ebuild:
  set ~ppc in keywords

  04 Mar 2003; Arcady Genkin <agenkin@gentoo.org> :
  Update to version 0.9.0rc8b.
  Replaced "emake" with "make".

*alsa-driver-0.9.0_rc8 (03 Mar 2003)

  04 Mar 2003; Arcady Genkin <agenkin@gentoo.org> files/alsasound :
  Applied a patch from Thomas Weidner <yasea@gmx.net> (bug 15762) to the
  init script.  The patch adds code that inhibits alsactl error messages
  at boot time.

  03 Mar 2003; Arcady Genkin <agenkin@gentoo.org> :
  Quick update to rc8.

*alsa-driver-0.9.0_rc7 (04 Feb 2003)

  05 Feb 2003; Arcady Genkin <agenkin@gentoo.org> :
  Removed the patch for ice1712 cards.

  04 Feb 2003; Arcady Genkin <agenkin@gentoo.org> :
  Quick update to rc7.
	
*alsa-driver-0.9.0_rc6 (19 Nov 2002)

  21 Dec 2002; Arcady Genkin <agenkin@gentoo.org> :
  Added patch for ice1712 cards (bug #11572).
  Added "options snd cards_limit=1" into the modules.d file (bug #12076).
	
  19 Nov 2002; Arcady Genkin <agenkin@gentoo.org>
	alsa-driver-0.9.0_rc6.ebuild :
  Quick update to rc6.  Legwork done by Roman Weber <gentoo@gonzo.ch>.

*alsa-driver-0.9.0_rc5 (24 Oct 2002)

  24 Oct 2002; Arcady Genkin <agenkin@gentoo.org>
	alsa-driver-0.9.0_rc5.ebuild :
  Quick update to rc5.
	
*alsa-driver-0.9.0_rc4 (23 Oct 2002)

  23 Oct 2002; Arcady Genkin <agenkin@gentoo.org>
	alsa-driver-0.9.0_rc4.ebuild :

  Quick update to rc4.
	
*alsa-driver-0.9.0_rc3 (15 Aug 2002)

  15 Aug 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc3.ebuild :

  Quick update to version 0.9.0rc3.

  16 Aug 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc3.ebuild :

  Updated support for ALSA_CARDS env. variable at build time to
  enable multiple selected drivers.

  04 Sep 2002, Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc3.ebuild :

  Fixed the compilation problem due to isapnp.h.

*alsa-driver-0.9.0_rc2 (20 Jun 2002)

  20 Jun 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc2.ebuild :

  Quick update to version 0.9.0rc2.

  16 Aug 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc2.ebuild :

  Updated support for ALSA_CARDS env. variable at build time to
  enable multiple selected drivers.

*alsa-driver-0.9.0_rc1 (27 Apr 2002)

  06 Jun 2002; Olivier Reisch <doctomoe@gentoo.org>
	alsa-driver-0.9.0_rc1-r7.ebuild files/alsa-driver-0.9.0rc1-ppc.patch :

  Added a small patch to fix ALSA up for PPC. keywest.c was missing a vital
  header.

  23 May 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r7.ebuild files/alsa-modules.conf :

  Aliased /dev/dsp and /dev/mixer to respective OSS emulation modules.

  12 May 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r6.ebuild :

  Updated the 'alsasound' init script so that it runs before the modules
  from /etc/modules.autoload get loaded.  This relies on baselayout >=1.7.9.

  8 May 2002; Jon Nelson <jnelson@gentoo.org>
	alsa-driver-0.9.0_rc1-r5.ebuild :
        
  Use check_KV and depend on portage >= 1.9.10

  3 May 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r5.ebuild :

  Makes sure that Portage determines the kernel version.

  2 May 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r4.ebuild :

  Added a hack to work around compilation breakage if a user has
  /etc/rc.d/init.d directory.

  28 Apr 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r3.ebuild :

  More work on the startup script and updated config file for /etc/modules.d.
  Be sure to have a look at it and adjust it to your needs.

  27 Apr 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r2.ebuild :

  Updated the alsasound startup script.
	
  27 Apr 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1-r1.ebuild :

  Rewrote the istallation procedures to use the package's native
  installation subsystem.
	
  27 Apr 2002; Arcady Genkin <agenkin@thpoon.com>
	alsa-driver-0.9.0_rc1.ebuild :

  Quick update to version 0.9.0rc1.

*alsa-driver-0.9.0_beta10 (3 Feb 2002)

  8 Feb 2002; Donny Davies <woodchip@gentoo.org> ChangeLog,
  alsa-driver-0.5.11.ebuild, alsa-driver-0.5.12a.ebuild,
  alsa-driver-0.9.0_beta10.ebuild:

  Moved the code looking for the kernel sources into pkg_setup().
  Closes bug #273.  No revisions bumped, mostly a cosmetic change.

  3 Feb 2002; T.Neidt <tod@gentoo.org> ChangeLog :

  Upgraded version to latest beta.
  The issue below seems to be fixable by creating a link in the alsa-lib
  ebuild from libasound.so.2 to libasound.so.1, but I'm leaving the warning
  until further testing is done.
  ##WARNING## Upgrading to this version will require massive recompiling
  of pretty much everything linked against sound.  libasound.so.1 is
  no longer provided in the package, it is now libasound.so.2.  Sound
  apps will be broken until recompiled against the new lib.  For example,
  if you use the Gnome Desktop, you will have to recompile almost everything
  just to start it up.  Good news is you don't have to upgrade now if you
  don't want to.  Bad news is that you will eventually.

*alsa-driver-0.5.12a (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
